=== debian/control ===
Source: most
Section: text
Priority: optional
Maintainer: Benjamin Mako Hill <mako@debian.org> 
Standards-Version: 3.9.8.0
Build-Depends: debhelper (>=9), autotools-dev, dh-autoreconf, libslang2-dev, chrpath

Package: most
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pager program similar to more and less
 Most is a paging program that displays, one windowful at a time, the
 contents of a file on a terminal. A status line at the bottom of the
 screen displays the file name, the current line number and the percentage
 of the file so far displayed.
 .
 Unlike other paging programs, most is capable of displaying an
 arbitrary number of windows as long as they all fit on the screen, and
 different windows could be used to view the same file in different
 positions.
 .
 In addition to displaying ordinary text files, most can also display
 binary files as well as files with arbitrary ascii characters.
