## most 5.0.0a-1

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Benjamin Mako Hill <mako@debian.org> 
-Standards-Version: 3.9.8.0
-Build-Depends: debhelper (>=9), autotools-dev, dh-autoreconf, libslang2-dev, chrpath
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>=4), libslang2-dev
 
 Package: most
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: Pager program similar to more and less
  Most is a paging program that displays, one windowful at a time, the
  contents of a file on a terminal. A status line at the bottom of the
