=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,11 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# This is the debhelper compatibility version to use.
+# export DH_COMPAT=4
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-CC ?= gcc
-CFLAGS += -Wall -DUTF8
+CC = gcc
+CFLAGS = -O2 -g -Wall -DUTF8
 
 install_binary= install -o root -g root -m 755
 install_script= install -o root -g root -m 755
@@ -26,17 +24,11 @@
 
 # The next section may have to be extensively modified
 
-build-indep: 
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-build-arch: build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 	@echo "Building the binaries ..."
-	dh_autoreconf
-	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure --with-slanglib=/usr/lib/"$(DEB_HOST_MULTIARCH)"
+	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure
 	$(MAKE) SYS_INITFILE=/etc/most.conf
 	touch $@
 
@@ -47,11 +39,14 @@
 	-rm -f build-stamp src/config.h
 	-rm -f config.log
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_autoreconf_clean
 	dh_clean
+	-test -r /usr/share/misc/config.sub && \
+	cp -f /usr/share/misc/config.sub autoconf/config.sub
+	-test -r /usr/share/misc/config.guess && \
+	cp -f /usr/share/misc/config.guess autoconf/config.guess
 
 
-binary-indep:  
+binary-indep:  build
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -67,7 +62,6 @@
 	dh_installmime
 	dh_installman most.1
 	$(install_binary) src/objs/most debian/most/usr/bin/most
-	chrpath --delete debian/most/usr/bin/most
 	dh_strip
 	dh_compress
 	dh_shlibdeps
@@ -80,6 +74,5 @@
 # Below here is fairly generic really.
 
 binary: binary-indep binary-arch
-build: build-indep build-arch 
 
-.PHONY: binary binary-indep binary-arch build-indep build-arch dist update clean checkroot
+.PHONY: binary binary-indep binary-arch dist update clean checkroot
