## most 5.2.0

=== debian/changelog ===
most (5.2.0-1) unstable; urgency=medium

  * New upstream release. Closes: #99097
  * Remove quoted %-escapes. Closes: #987405
  * Updated standards and debhelper compat versions and build-deps.
  * Minor changes to remove all lintian warnings.

 -- Benjamin Mako Hill <mako@debian.org>  Fri, 30 Jun 2023 15:36:24 -0700

most (5.0.0a-4) unstable; urgency=low

  * Tweaked manpage to remove macro which is invalid (and generating warnings)
    in Debian versions of man.

 -- Benjamin Mako Hill <mako@debian.org>  Sun, 25 Dec 2016 15:02:35 -0800

most (5.0.0a-3) unstable; urgency=high

  * lzma-support.patch:
    - Fix CVE-2016-1253: shell injection attack when opening
      lzma-compressed files (Closes: #848132)
  * Added support for xv compressed file (Closes: #846465)

 -- Benjamin Mako Hill <mako@debian.org>  Wed, 14 Dec 2016 18:08:56 -0800

most (5.0.0a-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_autotools_dev instead of dh_autoreconf
    as autoreconf needs a major autofoo update

 -- Wookey <wookey@debian.org>  Thu, 04 Aug 2016 23:29:53 +0000
