=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Benjamin Mako Hill <mako@debian.org> 
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>=4), libslang2-dev
+Standards-Version: 4.6.2.0
+Build-Depends: debhelper (>=13), libslang2-dev, chrpath, docbook-utils, tmexpand
 
 Package: most
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Pager program similar to more and less
  Most is a paging program that displays, one windowful at a time, the
  contents of a file on a terminal. A status line at the bottom of the
