=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,13 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
-# This is the debhelper compatibility version to use.
-# export DH_COMPAT=4
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CC = gcc
-CFLAGS = -O2 -g -Wall -DUTF8
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CC ?= gcc
+CFLAGS += -Wall -DUTF8
 
 install_binary= install -o root -g root -m 755
 install_script= install -o root -g root -m 755
@@ -24,12 +26,21 @@
 
 # The next section may have to be extensively modified
 
-build: build-stamp
+build-indep: 
+# There are no architecture-independent files to be uploaded
+# generated by this package.  If there were any they would be
+# made here.
+
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
 	@echo "Building the binaries ..."
-	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure
+	dh_update_autotools_config
+	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure --with-slanglib=/usr/lib/"$(DEB_HOST_MULTIARCH)"
 	$(MAKE) SYS_INITFILE=/etc/most.conf
+	[ -f doc/most.txt.orig ] || cp doc/most.txt doc/most.txt.orig
+	[ -f doc/most.1.orig ] || cp doc/most.1 doc/most.1.orig
+	$(MAKE) -C doc/tm all
 	touch $@
 
 clean:
@@ -39,14 +50,13 @@
 	-rm -f build-stamp src/config.h
 	-rm -f config.log
 	[ ! -f Makefile ] || $(MAKE) distclean
+	$(MAKE) -C doc/tm distclean
+	[ ! -f doc/most.txt.orig ] || mv doc/most.txt.orig doc/most.txt 
+	[ ! -f doc/most.1.orig ] || mv doc/most.1.orig doc/most.1
 	dh_clean
-	-test -r /usr/share/misc/config.sub && \
-	cp -f /usr/share/misc/config.sub autoconf/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	cp -f /usr/share/misc/config.guess autoconf/config.guess
 
 
-binary-indep:  build
+binary-indep:  
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -58,10 +68,11 @@
 	@echo "Making the binary package: $(p)-$(version)-$(debian).deb ..."
 	dh_installdirs 
 	dh_installchangelogs changes.txt
-	dh_installdocs debian/copyright README lesskeys.rc most-fun.txt most.rc
+	dh_installdocs debian/copyright README NEWS doc/lesskeys.rc doc/most-fun.txt doc/most.rc
 	dh_installmime
-	dh_installman most.1
+	dh_installman doc/most.1
 	$(install_binary) src/objs/most debian/most/usr/bin/most
+	chrpath --delete debian/most/usr/bin/most
 	dh_strip
 	dh_compress
 	dh_shlibdeps
@@ -74,5 +85,6 @@
 # Below here is fairly generic really.
 
 binary: binary-indep binary-arch
+build: build-indep build-arch 
 
-.PHONY: binary binary-indep binary-arch dist update clean checkroot
+.PHONY: binary binary-indep binary-arch build-indep build-arch dist update clean checkroot
